> ## Documentation Index
> Fetch the complete documentation index at: https://docs.millis.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Voices



## OpenAPI

````yaml get /voices/custom
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api-west.millis.ai
    description: US Region API Gateway
  - url: https://api-eu-west.millis.ai
    description: EU Region API Gateway
security: []
paths:
  /voices/custom:
    get:
      tags:
        - Voices
      summary: Get Custom Voices
      operationId: get_custom_voices_voices_custom_get
      parameters:
        - name: lang_code
          in: query
          required: false
          schema:
            type: string
            default: en
            title: Lang Code
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Private Key
            title: Authorization
          description: Private Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VoiceOption'
                title: Response Get Custom Voices Voices Custom Get
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VoiceOption:
      properties:
        provider:
          allOf:
            - $ref: '#/components/schemas/VoiceProvider'
          description: The TTS provider for generating the agent's voice.
        voice_id:
          type: string
          title: Voice Id
          description: The unique identifier for the voice used by the agent.
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: >-
            The model name provided by ElevenLabs (e.g., 'eleven_turbo_v2_5')
            for voice generation.
        settings:
          anyOf:
            - type: object
            - type: 'null'
          title: Settings
          description: >-
            Additional voice_settings for ElevenLabs voice, such as stability
            and similarity boost values.
        name:
          type: string
          title: Name
        preview_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Preview Url
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
      type: object
      required:
        - provider
        - voice_id
        - name
      title: VoiceOption
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VoiceProvider:
      type: string
      enum:
        - elevenlabs
        - openai
        - cartesia
        - playht
        - deepgram
        - rime
        - neets
        - openai_realtime
        - dubverse
        - orpheus
        - sesame
        - kokoro
      title: VoiceProvider
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````